数据提供商: DataForSEO
使用DataForSEO和WHOIS过滤器来查找域名记录
每次调用 $0.12 起在 30 秒内响应
从Whois数据库中读取了一页域名注册记录,每条记录都包含了相关的搜索数据及反向链接信息:每个域名对应一行记录,其中列出了该域名的注册机构、创建日期、变更日期、到期日期、更新日期、EPP状态代码、顶级域名、是否已注册的标志,以及该域名在自然搜索和付费搜索结果中的排名位置、对应的搜索结果数量及预估流量,同时还包含了其拥有的反向链接、引用域名以及引用页面的信息。输入参数包括最多为1,000行的页面规模、偏移量或分页token;同时还可以使用过滤条件(例如根据created_datetime进行筛选)和order_by参数来对行进行筛选和排序;如果没有这些参数,行将会按照供应商预设的默认顺序在多个域名下进行显示。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/domain_analytics/whois/overview/live on Glasser.bash
glasser run -p dataforseo -e '/v3/domain_analytics/whois/overview/live' -i '{"limit":10}' --endpoint-version 7使用接口版本 7。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/domain_analytics/whois/overview/live","input":{"limit":10},"endpoint_version":7}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 7,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究相关外链来源时,可以查看与你的领域相关的网站的反向链接数据。
复制此提示词到你的 Agent,查找与你的领域相关的外链来源。
提示词
Use dataforseo:/v3/domain_analytics/whois/overview/live on Glasser.
Find linking sources relevant to my niche in the returned backlink data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"limit"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 1000,
"minimum": 1
},
"offset": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"order_by": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 3,
"description": "DataForSEO sorting rules, passed through unchanged: up to 3 \"field,asc\" or \"field,desc\" strings, using the same field names as filters."
},
"offset_token": {
"type": "string",
"maxLength": 2048,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"limit": 10
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.12 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.0012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $1.32 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |